﻿# You can place the script of your game in this file.

init:

    image room = "images/room.png"
    image daikon pot = "images/daikon_pot.png"
    image daikon up = "images/daikon_up.png"
    image daikon fit = "images/daikon_fit.png"
    image daikon healthy = "images/daikon_healthy.png"
    image daikon diet = "images/daikon_diet.png"
    image daikon normal = "images/daikon_normal.png"
    image daikon jolly = "images/daikon_jolly.png"
    image daikon geeky = "images/daikon_geek.png"
    image daikon cute = "images/daikon_cute.png"
    image daikon happy = "images/daikon_happy.png"
    image daikon lazy = "images/daikon_lazy.png"
    image daikon horrible = "images/daikon_horrible.png"
    
    image splash = "images/logo.png"
    image end = "images/end.png"    

    $ d = Character('Daikon', color="#ffffff", what_color="fff9a1")
    
    $_game_menu_screen = "_quit_prompt"

# The game starts here.

label splashscreen:
    $ renpy.pause(0)
    scene black
    with Pause(0.5)

    show splash
    with fade
    with Pause(2.0)

    scene black
    with fade
    with Pause(0.5)

    return

label start:
    $ love = 0
    $ health = 0
    scene room with pixellate
    show daikon pot with pixellate
    "You have a little daikon in a pot."
    $ config.rollback_enabled = False
    "You love your daikon very much."
    "But you also want him to be healthy."
    "Raise a good daikon!"
    menu:
        "Hug daikon.":
            $ love +=1
            "You hug your daikon."
            "Your daikon is a little happier."
        
        "Water daikon.":
            $ health +=1
            "You water your daikon."
            "Your daikon is a little healthier."
        
        "Sing to daikon.":
            $ love +=2
            $ health -=1
            "You sing to your daikon."
            "Your daikon appreciates the effort, but feels it is misplaced."
        
        "Feed daikon.":
            $ love -=1
            $ health +=2
            "You feed your daikon."
            "Your daikon feels like you're not making enough time for him."
        
        "Ignore daikon.":
            "You ignore your daikon."
            "Your daikon might get lonely."
            
######################################################            
            
    "Hey, it's easy to raise a daikon!"
    "You start to get hopeful."
    "Maybe you can grow a good daikon!"
            
    menu:
        "Hug daikon.":
            $ love +=1
            "You hug your daikon."
            "Your daikon is a little happier."
        
        "Water daikon.":
            $ health +=1
            "You water your daikon."
            "Your daikon is a little healthier."
        
        "Sing to daikon.":
            $ love +=2
            $ health -=1
            "You sing to your daikon."
            "Your daikon appreciates the effort, but feels it is misplaced."
        
        "Feed daikon.":
            $ love -=1
            $ health +=2
            "You feed your daikon."
            "Your daikon feels like you're not making enough time for him."
        
        "Ignore daikon.":
            "You ignore your daikon."
            "Your daikon might get lonely."
#################################################

    "You hope your daikon is happy."
    "You think he looks okay... you think."
    "You realise your lack of knowledge on raising daikon, and worry a little."
    
    menu:
        "Hug daikon.":
            $ love +=1
            "You hug your daikon."
            "Your daikon is a little happier."
        
        "Water daikon.":
            $ health +=1
            "You water your daikon."
            "Your daikon is a little healthier."
        
        "Sing to daikon.":
            $ love +=2
            $ health -=1
            "You sing to your daikon."
            "Your daikon appreciates the effort, but feels it is misplaced."
        
        "Feed daikon.":
            $ love -=1
            $ health +=2
            "You feed your daikon."
            "Your daikon feels like you're not making enough time for him."
        
        "Ignore daikon.":
            "You ignore your daikon."
            "Your daikon might get lonely."
##########################################

    "Did you do it? Did you manage to raise a good daikon?"
    "You don't feel very confident, but you still hope he turns out alright."
    "..."
    "Oh!"
    show daikon up
    "Your daikon moved a little!"
    
    if health == 6:
        jump fit
        
    elif health >= 4:
        jump healthy
        
    elif health == 3:
        if love >= 0:
            jump healthy
        else:
            jump diet
    
    elif health == 2:
        jump normal
    
    elif health == 1:
        if love >=2:
            jump jolly
        
        else:
            jump geeky
    

            
    elif health <= 0:
        if love >= 5:
            jump cute
        
        elif love >= 3:
            jump happy
        
        elif love >=1:
            jump lazy
        
        else:
            jump horrible
    else:
        jump horrible
            

        
        
label fit:
    show daikon fit with pixellate
    d "Hi hi!"
    d "How are you? HOW ARE YOU?"
    d "Let's be friends OK? OK??? Be my FIRST friend!"
    "Your daikon is super energetic!"
    d "WOOOHOOO!"
    "He looks tasty and full of vitamins."
    jump end

label healthy:
    show daikon healthy with pixellate
    d "Hello!"
    d "Mm, I love the sunshine. I feel so alert!"
    d "Nothing like a good long walk in the open air..."
    "You raised a healthy daikon."
    d "Let's get some frozen yoghurt, with lots of nommy fruit."
    "He will taste quite nice."
    jump end

label diet:
    show daikon diet with pixellate
    d "Hey."
    d "..."
    d "Do you think I look fat?"
    "You raised a very self-conscious daikon."
    d "Urgh, I hate myself. Eat me quickly!"
    d "...or don't. I'll probably make you fat too!"
    "He will probably taste ok... but you feel a little guilty."
    jump end

label normal:
    show daikon normal with pixellate
    d "Good day to you!"
    d "How are you?"
    d "I can't complain, life is pretty good no?"
    "You raised a well-adjusted daikon."
    d "I'm hungry, want to get some ramen? My treat!"
    "He will probably taste quite nice."
    jump end

label jolly:
    show daikon jolly with pixellate
    d "Hohohoh!"
    d "Smile a little more!"
    d "Will you smile if I give you some toffee?"
    "You raised a jolly daikon."
    d "Mmm, I love chocolate!"
    "He will probably taste a little sugary."
    jump end

label geeky:
    show daikon geeky with pixellate
    d "..."
    d "...What?"
    d "...I want to watch this show, OK?"
    "You raised a geeky daikon."
    d "GO AWAY! YOU'RE NOT MY MUM!!!"
    "He smells a little rotten."
    jump end
    
    

label cute:
    show daikon cute with pixellate
    d "Hullo!!!"
    d "Yay yay! Who are you? Let's be awesome friends!"
    d "I like kittens and puppies and mochi and bunnies and..."
    "You raised a cute daikon."
    d "Do you wanna go puri-kura?!?"
    "He will taste way, way too sugary sweet."
    jump end

label happy:
    show daikon happy with pixellate
    d "Hey hey hey!"
    d "How're things? I'm feeling OK today."
    d "Let's go do something, your choice!"
    "You raised a laid-back daikon."
    d "I don't mind, anything is good with me."
    "He should taste fine."
    jump end

label lazy:
    show daikon lazy with pixellate
    d "...zzzz"
    d "...zzzz-SNORT!"
    d "-Yawn!- Oh, why didn't you wake me sooner..."
    "You raised a lazy daikon."
    d "...zzzz."
    "He looks a little... unsatisfying."
    jump end

label horrible:
    show daikon horrible with pixellate
    d "OI!"
    d "You... SUCK!"
    d "I hate you. I HATE YOU!!"
    "You raised a horrible daikon."
    d "You are the worst gardener ever! And you SMELL!"
    "He will taste awful - maybe he will even give you food poisoning."
    jump end


label end:
    "Anyway, it is time for dinner..."
    $ renpy.pause(0)
    scene black with pixellate

    show end
    with pixellate
    with Pause(2.5)


    return

